Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet
Class CssObjectIntrospector

    java.lang.Object
      echopointng.stylesheet.CssObjectIntrospector

    public class CssObjectIntrospector

extends java.lang.Object

`CssObjectIntrospector` is a replacement for `ComponentIntrospector` that reports JavaBeans that have getters without setters as properties.

Method Summary
`static CssObjectIntrospector` | `forName(java.lang.String typeName, java.lang.ClassLoader classLoader)` Creates a new `CssObjectIntrospector` for a type of Object
`java.util.Iterator` | `getConstantNames()` Retrieves the names of all constants.
`java.lang.Object` | `getConstantValue(java.lang.String constantName)` Retrieves the value of the constant with the specified name.
`java.lang.reflect.Constructor` | `getConstructor(java.lang.Object[] propertyValues)` This will return a `Constructor` that can be called with the specified array of properties as parameters.
`java.lang.Class` | `getIntrospectedClass()`
`java.lang.Class` | `getPropertyClass(java.lang.String propertyName)`
`java.beans.PropertyDescriptor` | `getPropertyDescriptor(java.lang.String propertyName)`
`java.lang.reflect.Method` | `getWriteMethod(java.lang.String propertyName)`
`boolean` | `isIndexedProperty(java.lang.String propertyName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### forName

    public static CssObjectIntrospector forName(java.lang.String typeName,
                                                java.lang.ClassLoader classLoader)
                                         throws java.lang.ClassNotFoundException

  Creates a new `CssObjectIntrospector` for a type of Object

  Parameters:
    `typeName` - the type name of the Object
    `classLoader` - the class loader from which the type class may be retrieved
  Throws:
    `java.lang.ClassNotFoundException`

### getIntrospectedClass

    public java.lang.Class getIntrospectedClass()

  Returns:
    the class of the object being introspected.

### getConstantNames

    public java.util.Iterator getConstantNames()

  Retrieves the names of all constants. A constant is defined to be any public static final variable declared in the introspected class.

  Returns:
    an iterator over the constant names

### getConstantValue

    public java.lang.Object getConstantValue(java.lang.String constantName)

  Retrieves the value of the constant with the specified name.

  Parameters:
    `constantName` - the name of the constant (unqualified)
  Returns:
    the constant value, or null if no such constant exists
  See Also:
    `getConstantNames()`

### getPropertyClass

    public java.lang.Class getPropertyClass(java.lang.String propertyName)

  See Also:
    `ComponentIntrospector.getPropertyClass(String)`

### getPropertyDescriptor

    public java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.String propertyName)

  See Also:
    `ComponentIntrospector.getPropertyDescriptor(String)`

### getWriteMethod

    public java.lang.reflect.Method getWriteMethod(java.lang.String propertyName)

  See Also:
    `ComponentIntrospector.getWriteMethod(String)`

### isIndexedProperty

    public boolean isIndexedProperty(java.lang.String propertyName)

  See Also:
    `ComponentIntrospector.isIndexedProperty(String)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getConstructor

    public java.lang.reflect.Constructor getConstructor(java.lang.Object[] propertyValues)

  This will return a `Constructor` that can be called with the specified array of properties as parameters. Its returns null if it can find an appopriate `Contructor`.

  Parameters:
    `propertyValues` - - an array of objects. The types of these objects will be used to find an appropriate Constructor
  Returns:
    a `Contructor` or null if one cant be found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD